Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.publish.uddi.wsdls
Class SaWsdlPublisherV01_08

    java.lang.Object
      de.uka.cmtm.serviceregistry.publish.uddi.wsdl.WsdlPublisherV01_08
          de.uka.cmtm.serviceregistry.publish.uddi.wsdls.SaWsdlPublisherV01_08

All Implemented Interfaces:
  WsdlPublisher

    public class SaWsdlPublisherV01_08

extends WsdlPublisherV01_08
implements WsdlPublisher

This WsdlPublisher can publish WSDL files in UDDI following the UDDI.org best practices 1.08 mapping. In addition it publishes ontology references to all service profiles implemented by the PortTypes in use by the service in the services category bag.

Author:
  tilmann

Field Summary

Fields inherited from class de.uka.cmtm.serviceregistry.publish.uddi.wsdl.WsdlPublisherV01_08
`WSDL_SPEC_TMODEL_KEY_VALUE`

Constructor Summary
`SaWsdlPublisherV01_08(UDDIProxy uddiProxy, AuthToken authToken, String upperServiceOntologyUrl)` Creates a new SaWsdlPublisherV01_08

Method Summary
`protected void` | `addServiceCategoryBagKeyedReferences(CategoryBag categoryBag, Service service)` This hook adds the references to the implemented service profiles to the services category bag.

Methods inherited from class de.uka.cmtm.serviceregistry.publish.uddi.wsdl.WsdlPublisherV01_08
`addBindingTemplateTModelInstaceInfos, publishWsdl, publishWsdl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.uka.cmtm.serviceregistry.publish.uddi.WsdlPublisher
`publishWsdl, publishWsdl`

Constructor Detail

### SaWsdlPublisherV01_08

    public SaWsdlPublisherV01_08(UDDIProxy uddiProxy,
                                 AuthToken authToken,
                                 String upperServiceOntologyUrl)

  Creates a new SaWsdlPublisherV01_08

  Parameters:
    `uddiProxy` - the UDDIProxy to be used
    `authToken` - the UDDI credentials to be used
    `upperServiceOntologyUrl` - the URL of the upper service ontology

Method Detail

### addServiceCategoryBagKeyedReferences

    protected void addServiceCategoryBagKeyedReferences(CategoryBag categoryBag,
                                                        Service service)
                                                 throws UDDIException,
                                                        TransportException

  This hook adds the references to the implemented service profiles to the services category bag.

  Overrides:
    `addServiceCategoryBagKeyedReferences` in class `WsdlPublisherV01_08`
  Parameters:
    `categoryBag` - here can KeyedReferences be added
    `service` - the Service that is published
  Throws:
    `UDDIException`
    `TransportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD